/*
	File:		TPriorityListExample.h

	Contains:	This is file contains the declaration of the TTask class.

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TPRIORITYLISTEXAMPLE__
#define __TPRIORITYLISTEXAMPLE__

///
///	TTask
///
/// A simple class that just holds a pointer to a routine that does a task.
///

typedef void (*TaskProcPtr)();			// definition for our task procptr

class TTask : public TSimpleDynamic {
	public:
								TTask();
								TTask(TaskProcPtr);
		virtual					~TTask();

				TaskProcPtr		GetTask() const { return fTask; };
	private:	
		TaskProcPtr				fTask;	// the actual task pointer
};

///
///	TTask IMLEMENTATION
///

	inline TTask::TTask()
	{
		fTask = nil;
	}

	inline TTask::TTask( TaskProcPtr theTask )
	{
		fTask = theTask;
	}

	TTask::~TTask()
	{
	}

#endif;